#!/usr/bin/env bash

# - Convert user created files from rcopy svn versions eralier than revision 50
# -
# - Change your existing hosts files and rcopy.conf file.
# -

base_path=/root/crontab/rcopy

sed -i '/^default_config_file=/d' ${base_path}/hosts/*.sh
sed -i '/^rcopy_functions_file=/d' ${base_path}/hosts/*.sh
perl -i -n -p -e "s#\.\s+\\\$default_config_file.*#. \\\$rcopy_conf_file#" ${base_path}/hosts/*.sh
perl -i -n -p -e "s#^crontab_base_dir=.*#crontab_base_dir=\\\$rcopy_base_dir#" ${base_path}/conf/rcopy.conf

exit 0
